package | JAMA Cholesky decomposition class For a symmetric, positive definite matrix A, the Cholesky decomposition is an lower triangular matrix L so that A = L*L'. If the matrix is not symmetric or positive definite, the constructor returns a partial decomposition and sets an internal flag that may be queried by the isSPD() method.
author | Paul Meagher
author | Michael Bommarito
version | 1.2

### Methods

## CholeskyDecomposition

    __construct(mixed $A)

Class constructor - decomposes symmetric positive definite matrix

### Parameters

#### $A

`mixed`

Matrix square symmetric positive definite matrix

## getL

    getL() : \Matrix

Return triangular factor.

### Returns

`\Matrix`Lower triangular matrix

## Is the matrix symmetric and positive definite?

    isSPD() : boolean

### Returns

`boolean`

## Solve A*X = B

    solve($B) : \Matrix

### Parameters

#### $B

Row-equal matrix

### Returns

`\Matrix`L * L' * X = B

### Properties

##

    $L : array

access | private

##

    $isspd : boolean

access | private

##

    $m : int

access | private